[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# DrawGrid

Draws the grid separator lines between columns and rows with the specified width and height.

## Declaration

Source position: lclintfh.inc line 62

`procedure DrawGrid(`
`DC: HDC;`
`const R: TRect;`
`DX: Integer;`
`DY: Integer`
`);`

## Arguments

`DC` |  | Device context where the drawing operation is performed.
`R` |  | Rectangle with the bounds where the grid is drawn.
`DX` |  | Width for the evenly-spaced columns in the grid.
`DY` |  | Height for the evenly-spaced rows in the grid.

## Description

The current device context is saved on entry, and restored prior to exit.